Initiate a payment (deprecated)
curl --request POST \
--url https://api.suby.fi/api/payment/initiate \
--header 'Content-Type: application/json' \
--header 'X-Suby-Api-Key: <api-key>' \
--data '
{
"productId": "<string>",
"customerId": "<string>",
"customerEmail": "jsmith@example.com",
"externalRef": "<string>",
"metadata": {},
"successUrl": "<string>",
"cancelUrl": "<string>",
"priceCents": "<string>"
}
'import requests
url = "https://api.suby.fi/api/payment/initiate"
payload = {
"productId": "<string>",
"customerId": "<string>",
"customerEmail": "jsmith@example.com",
"externalRef": "<string>",
"metadata": {},
"successUrl": "<string>",
"cancelUrl": "<string>",
"priceCents": "<string>"
}
headers = {
"X-Suby-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Suby-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
productId: '<string>',
customerId: '<string>',
customerEmail: 'jsmith@example.com',
externalRef: '<string>',
metadata: {},
successUrl: '<string>',
cancelUrl: '<string>',
priceCents: '<string>'
})
};
fetch('https://api.suby.fi/api/payment/initiate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"paymentId": "<string>",
"paymentUrl": "<string>",
"metadata": {}
}
}{
"success": false,
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid or missing API key"
}
}Payments - Checkout
Initiate a payment (deprecated)
deprecated
Deprecated — use POST /api/payment/create for one-time payments
or POST /api/subscription/create for subscriptions.
This endpoint still works but does not validate the product type. It is
validated with the same schema as POST /api/payment/create, so it
also accepts customerFirstName, customerLastName, and customFields
(all optional) in addition to the fields shown below.
POST
/
api
/
payment
/
initiate
Initiate a payment (deprecated)
Authorizations
API key authentication
Body
application/json
Optional. Links to an existing customer by their stable id. Takes precedence over customerEmail
(see POST /api/payment/create).
Maximum string length:
255Optional. If omitted, the customer is created on the hosted checkout page (see POST /api/payment/create).
Available options:
USD, EUR Was this page helpful?
⌘I

